commit:     bc628651f7947ba860b8ad2f107478ee1e77f433
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Feb 25 23:27:57 2023 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sat Feb 25 23:27:57 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=bc628651

dev-python/praw: add 7.7.0

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/praw/Manifest          |  1 +
 dev-python/praw/praw-7.7.0.ebuild | 51 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/praw/Manifest b/dev-python/praw/Manifest
index 84397917c..76b176036 100644
--- a/dev-python/praw/Manifest
+++ b/dev-python/praw/Manifest
@@ -1 +1,2 @@
 DIST praw-7.6.1.gh.tar.gz 25083372 BLAKE2B 
eab92be89585bbe485b4d51c1c3c15def597b3a5cdb1326cf166931e4be22bea2975c76c48c8b673b30945ec5b559efba84d0310eebbdaa2881a37e30351af31
 SHA512 
91fa6efe0ea56d53ea49df8c1046ff620571d9dc80e6fdc5a5da3651cd24d7553455b62d02db8e37531a7bf34be0fbbc8c9555281b4887b73e9b8758966db55a
+DIST praw-7.7.0.gh.tar.gz 25092955 BLAKE2B 
e50a20b6d8fc58214480b9edb91a332a9e50626aeb67155298f1746b2615852bc89d3e338d120d2910c93f1713302f41754f5f87259388c9fedd1c358e65dd63
 SHA512 
40a8882cdcaa10f538f9cf9552414184050b16008eed4c4e31fc52dfc0d337daad6bd1041d462d26476c692ae8997f675cf5ce2630d8d8be091023b7deb98181

diff --git a/dev-python/praw/praw-7.7.0.ebuild 
b/dev-python/praw/praw-7.7.0.ebuild
new file mode 100644
index 000000000..c9855fbad
--- /dev/null
+++ b/dev-python/praw/praw-7.7.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Python Reddit API Wrapper"
+HOMEPAGE="
+       https://pypi.org/project/praw/
+       https://github.com/praw-dev/praw
+"
+SRC_URI="https://github.com/praw-dev/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS=( {AUTHORS,CHANGES,README}.rst SECURITY.md )
+
+RDEPEND="
+       <dev-python/prawcore-3[${PYTHON_USEDEP}]
+       dev-python/websocket-client[${PYTHON_USEDEP}]
+"
+BDEPEND="test? (
+       dev-python/betamax[${PYTHON_USEDEP}]
+       dev-python/betamax-matchers[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs \
+       dev-python/sphinx-rtd-theme \
+       dev-python/sphinx-rtd-dark-mode
+
+python_prepare_all() {
+       # disable optional dependencies
+       sed "/update_checker/d" -i setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local epytestargs=(
+               # spams deprecation warnings
+               -p no:asyncio
+       )
+       epytest "${epytestargs[@]}"
+}

Reply via email to